Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRRecordedValuesGenericPrintElement

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplatePrintElement
          net.sf.jasperreports.engine.fill.JRTemplateGenericPrintElement
              net.sf.jasperreports.engine.fill.JRRecordedValuesGenericPrintElement

All Implemented Interfaces:
  java.io.Serializable, JRRecordedValuesPrintElement, JRCommonElement, JRGenericPrintElement, JRPrintElement, JRPropertiesHolder, JRStyleContainer

    public class JRRecordedValuesGenericPrintElement

extends JRTemplateGenericPrintElement
implements JRRecordedValuesPrintElement

Generic print element implementation that supports recorded values.

Version:
  $Id: JRRecordedValuesGenericPrintElement.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`template`

Constructor Summary
`JRRecordedValuesGenericPrintElement(JRTemplateGenericElement template)` Creates a generic print element.

Method Summary
`void` | `deleteRecordedValues()` Releases the recorded values set.
`JRRecordedValues` | `getRecordedValues()` Returns the recorded values set.
`void` | `initRecordedValues(java.util.Set evaluationTimes)` Initializes the recorded values set.

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateGenericPrintElement
`accept, getGenericType, getParameterNames, getParameterValue, hasParameter, setParameterValue`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`getBackcolor, getDefaultLineColor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getTemplate, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setMode, setMode, setStyle, setTemplate, setWidth, setX, setY, updateElementTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`accept, getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Constructor Detail

### JRRecordedValuesGenericPrintElement

    public JRRecordedValuesGenericPrintElement(JRTemplateGenericElement template)

  Creates a generic print element.

  Parameters:
    `template` - the element template to be used by the element

Method Detail

### getRecordedValues

    public JRRecordedValues getRecordedValues()

  Description copied from interface: `JRRecordedValuesPrintElement`
  Returns the recorded values set.

  Specified by:
    `getRecordedValues` in interface `JRRecordedValuesPrintElement`
  Returns:
    the recorded values set

### deleteRecordedValues

    public void deleteRecordedValues()

  Description copied from interface: `JRRecordedValuesPrintElement`
  Releases the recorded values set.

  This is called when all the recorded values are available and the element has been evaluated.

  Specified by:
    `deleteRecordedValues` in interface `JRRecordedValuesPrintElement`

### initRecordedValues

    public void initRecordedValues(java.util.Set evaluationTimes)

  Description copied from interface: `JRRecordedValuesPrintElement`
  Initializes the recorded values set.

  Specified by:
    `initRecordedValues` in interface `JRRecordedValuesPrintElement`
  Parameters:
    `evaluationTimes` - future times when the values will be recorded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com